
Foreman - Bug #668

Default ordering bizarre and weird

02/15/2011 09:47 AM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

All pages should start with a reasonable ordering for the data to be displayed. (EG reports newest-first, hosts by hostname, etc)

Currently most pages show up in a bizarre random order, adding an extra click (and extra db load, etc) to get a useful starting point.

Related issues:

Related to Foreman - Bug #740: Clicking hostname in report list leads to olde... Closed 03/15/2011

Associated revisions

Revision 5410421d - 03/15/2011 04:26 AM - Ohad Levy

fixed broken tests

added default order and paginations which

fixes #721

fixes #688

History

#1 - 02/24/2011 06:44 PM - Bash Shell

I agree, for example the Reports page for an individual host shows oldest reports first, which is not helpful, as you almost always want to see newer

reports first.

#2 - 03/15/2011 03:53 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Ohad Levy

- Target version set to 0.2

#3 - 03/15/2011 10:04 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100
